"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _universalEnv = require("universal-env");

var currentDriver;

if (_universalEnv.isWeex) {
  currentDriver = require('./weex')["default"];
} else if (_universalEnv.isWeb) {
  currentDriver = require('./web')["default"];
} else if (_universalEnv.isKraken) {
  currentDriver = require('./kraken')["default"];
} else if (_universalEnv.isMiniApp || _universalEnv.isWeChatMiniProgram || _universalEnv.isByteDanceMicroApp || _universalEnv.isBaiduSmartProgram || _universalEnv.isKuaiShouMiniProgram) {
  currentDriver = require('./miniapp')["default"];
}

var _default = currentDriver;
exports["default"] = _default;